Package org.drinkless.tdlib

# Class TdApi.UpdateMessageReactions

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateMessageReactions

Enclosing class:
  `TdApi`

public static class TdApi.UpdateMessageReactions extends TdApi.Update
Reactions added to a message with anonymous reactions have changed; for bots only.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `date`
  Point in time (Unix timestamp) when the reactions were changed.
  `long`
  `messageId`
  Message identifier.
  `TdApi.MessageReaction[]`
  `reactions`
  The list of reactions added to the message.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateMessageReactions()`
  Reactions added to a message with anonymous reactions have changed; for bots only.
  `UpdateMessageReactions(long chatId, long messageId, int date, TdApi.MessageReaction[] reactions)`
  Reactions added to a message with anonymous reactions have changed; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### messageId

    public long messageId
    Message identifier.

  - ### date

    public int date
    Point in time (Unix timestamp) when the reactions were changed.

  - ### reactions

    public TdApi.MessageReaction[] reactions
    The list of reactions added to the message.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateMessageReactions

    public UpdateMessageReactions()
    Reactions added to a message with anonymous reactions have changed; for bots only.

  - ### UpdateMessageReactions

    public UpdateMessageReactions(long chatId, long messageId, int date, TdApi.MessageReaction[] reactions)
    Reactions added to a message with anonymous reactions have changed; for bots only.
    Parameters:
      `chatId` - Chat identifier.
      `messageId` - Message identifier.
      `date` - Point in time (Unix timestamp) when the reactions were changed.
      `reactions` - The list of reactions added to the message.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR